@import "../../../assets/styles/main.scss";

.purchasedSuccessModalMain {
  width: 632px;
  display: flex;
  flex-flow: column;
  gap: 41px;
  padding: 40px;
  border-radius: 50px;
  background: getColorHex("white");
  box-shadow: -5px 0px 12.2px 0px rgba(0, 0, 0, 0.25);
  @include xxl {
    gap: 30px;
    width: 600px;
  }
  @include lg {
    width: 575px;
  }
  .esimPurchasedSuccessMassage {
    text-align: center;
    .successImage {
      width: auto;
      height: 88px;
      margin-bottom: 10px;
      text-align: center;
    }
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
    h1 {
      font-size: 32px;
      color: getColorHex("black");
      @include inter700;
      line-height: normal;
      @include xxl {
        font-size: 30px;
      }
    }
  }
  .successModalBorder {
    width: 100%;
    height: 1px;
    border: 1px dashed #c9c9c9;
    // background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' stroke='%23c9c9c9' stroke-width='1' stroke-dasharray='3.9%2c 13' stroke-dashoffset='0' stroke-linecap='square'/%3e%3c/svg%3e");
  }
  .successModalDateTimeMain {
    display: flex;
    flex-flow: column;
    gap: 20px;
    .modalDateTimeData {
      display: flex;
      align-items: center;
      justify-content: space-between;
      p {
        font-size: 16px;
        line-height: 18px;
      }
      h4 {
        font-size: 16px;
        line-height: 18px;
        @include inter700;
      }
    }
  }
  .successTotal {
    display: flex;
    align-items: center;
    justify-content: space-between;
    h2 {
      color: getColorHex("charcoal");
      font-size: 32px;
      line-height: 18px;
    }
    h1 {
      font-size: 32px;
      line-height: 18px;
      @include inter700;
    }
  }
  .backToMyPlanButton {
    display: flex;
    justify-content: center;
    align-items: center;
    button {
      width: 263.5px !important;
      height: 48px !important;
      padding: 7px 11px !important;
      border-radius: 10px !important;
      background: getColorHex("black") !important;
      color: getColorHex("white") !important;
      font-size: 12px !important;
      text-transform: uppercase;
      @include inter600;
      &:hover {
        color: getColorHex("orange") !important;
        background: getColorHex("white") !important;
        border: 1px solid getColorHex("orange");
      }
    }
  }
}
